package com.ruoyi.system.mapper;


import com.ruoyi.system.domain.VAssetlog;
import com.ruoyi.system.domain.vo.AssetVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;
import java.util.List;

/**
 * (VAssetlog)表数据库访问层
 *
 * @author makejava
 * @since 2024-05-28 10:21:16
 */
public interface VAssetlogMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param  主键
     * @return 实例对象
     */
    VAssetlog queryById( );

    /**
     * 查询指定行数据
     *
     * @param vAssetlog 查询条件
     * @param pageable         分页对象
     * @return 对象列表
     */
    List<VAssetlog> queryAllByLimit(VAssetlog vAssetlog, @Param("pageable") Pageable pageable);

    /**
     * 统计总行数
     *
     * @param vAssetlog 查询条件
     * @return 总行数
     */
    long count(VAssetlog vAssetlog);
}

