package com.ruoyi.system.service;

import com.ruoyi.system.domain.Assetlog;
import com.ruoyi.system.domain.SysConfig;
import com.ruoyi.system.domain.vo.AssetVo;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;
import java.util.Map;

/**
 * (Assetlog)表服务接口
 *
 * @author makejava
 * @since 2024-05-28 10:47:18
 */
public interface AssetlogService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    Assetlog queryById(Integer id);

    /**
     * 分页查询
     *
     * @param assetlog 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    Page<Assetlog> queryByPage(Assetlog assetlog, PageRequest pageRequest);


    List<Assetlog> list(AssetVo assetVo);

    /**
     * 按照资产类型统计数量
     * @return
     */
    List<Map<String, Object>> getAssetType();
}
