package com.ruoyi.system.service;


import com.ruoyi.system.domain.SysConfig;
import com.ruoyi.system.domain.VAssetlog;
import com.ruoyi.system.domain.vo.AssetVo;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;

/**
 * (VAssetlog)表服务接口
 *
 * @author makejava
 * @since 2024-05-28 10:21:21
 */
public interface VAssetlogService {

    /**
     * 通过ID查询单条数据
     *
     * @param  主键
     * @return 实例对象
     */
    VAssetlog queryById( );

    /**
     * 分页查询
     *
     * @param vAssetlog 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    Page<VAssetlog> queryByPage(VAssetlog vAssetlog, PageRequest pageRequest);


    List<VAssetlog> list(AssetVo assetVo);
}
