package com.ruoyi.system.service.impl;


import com.ruoyi.system.domain.SysConfig;
import com.ruoyi.system.domain.VAssetlog;
import com.ruoyi.system.domain.vo.AssetVo;
import com.ruoyi.system.mapper.VAssetlogMapper;
import com.ruoyi.system.service.VAssetlogService;
import org.springframework.stereotype.Service;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.PageRequest;

import javax.annotation.Resource;
import java.util.Collections;
import java.util.List;

/**
 * (VAssetlog)表服务实现类
 *
 * @author makejava
 * @since 2024-05-28 10:21:24
 */
@Service
public class VAssetlogServiceImpl implements VAssetlogService {
    @Resource
    private VAssetlogMapper vAssetlogMapper;

    /**
     * 通过ID查询单条数据
     *
     * @param  主键
     * @return 实例对象
     */
    @Override
    public VAssetlog queryById( ) {
        return this.vAssetlogMapper.queryById();
    }

    /**
     * 分页查询
     *
     * @param vAssetlog 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    @Override
    public Page<VAssetlog> queryByPage(VAssetlog vAssetlog, PageRequest pageRequest) {
        long total = this.vAssetlogMapper.count(vAssetlog);
        return new PageImpl<>(this.vAssetlogMapper.queryAllByLimit(vAssetlog, pageRequest), pageRequest, total);
    }

    @Override
    public List<VAssetlog> list(AssetVo assetVo) {
//        this.vAssetlogMapper.list(assetVo);
        return Collections.emptyList();
    }
}
